incubator-ooo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ar...@apache.org
Subject svn commit: r1200608 - /incubator/ooo/trunk/main/buildbot_linux.sh
Date Thu, 10 Nov 2011 22:41:33 GMT
Author: arist
Date: Thu Nov 10 22:41:32 2011
New Revision: 1200608

URL: http://svn.apache.org/viewvc?rev=1200608&view=rev
Log:
This is the script for running the nightly build on buildbot.
There will need to be a separate top level script for each OS we build on.

Added:
    incubator/ooo/trunk/main/buildbot_linux.sh

Added: incubator/ooo/trunk/main/buildbot_linux.sh
URL: http://svn.apache.org/viewvc/incubator/ooo/trunk/main/buildbot_linux.sh?rev=1200608&view=auto
==============================================================================
--- incubator/ooo/trunk/main/buildbot_linux.sh (added)
+++ incubator/ooo/trunk/main/buildbot_linux.sh Thu Nov 10 22:41:32 2011
@@ -0,0 +1,70 @@
+#!/bin/sh
+# 
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+#   http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# 
+
+
+#
+# cd to build directory
+#
+cd ooo/main
+
+date && echo "downloading additional and missing files"
+wget -O external/unowinreg/unowinreg.dll  http://tools.openoffice.org/unowinreg_prebuild/680/unowinreg.dll

+
+#
+# Run Configure
+#
+date && echo "running configure"
+autoconf
+rc=$?
+if [ $rc != 0 ] ; then
+    echo "Exiting build - autoconf was unsucessful."
+    exit $rc
+fi
+
+./configure --with-jdk-home=/usr/lib/jvm/java-6-sun  --with-system-python --enable-verbose
+rc=$?
+if [ $rc != 0 ] ; then
+    echo "Exiting build - configure was unsucessful."
+    exit $rc
+fi
+
+#
+# Bootstrap
+#
+date && echo "running bootstrap"
+./bootstrap
+rc=$?
+if [ $rc != 0 ] ; then
+    echo "Exiting build - bootstrapping was unsuccessful."
+    exit $rc
+fi
+
+#
+# set environment
+#
+. ./LinuxX86Env.Set.sh
+
+#
+# Run build
+#
+date  && echo "running the build"
+cd instsetoo_native && build --all --html -P2 -- -P2
+date
+



Mime
View raw message